#ifndef _OVENCTRL_HPP_
#define _OVENCTRL_HPP_

#include "oven.hpp"

// forward declaration
class OvenState;

class OvenControll
{
	public:
		enum Event {
			evTurnEverythingOff,
			evTurn
		};

		OvenControll();
		
		void process(Event e);

	private:
		Oven entity;
		OvenState* pState;

};

#endif // _OVEMCTRL_HPP_
